/* Error.h      -*-objc-*-
 *
 * Copyright Niels Mller <nisse@lysator.liu.se> 1995
 *
 * Freely distributable under the terms and conditions of the
 * GNU General Public License.
 */

#ifndef OBJC_ERROR_H_INCLUDED
#define OBJC_ERROR_H_INCLUDED

#include <objc/Object.h>
#include <StackFrame.h>

@interface Error : Object
{
}
- raise;
- (const char *) message;
@end /* Error */

@interface ErrorNoMemory: Error
{
  char *message;
  BOOL freeMessage;
}
- message: (char *) descr freeIt: (BOOL) freeFlag;
@end /* ErrorNoMemory */


@interface ErrorNoCatch : Error
{
  id tag;
  id value;
}
- value;
- value: newValue;
- tag;
- tag: newTag;
@end /* ErrorNoCatch */


#endif OBJC_ERROR_H_INCLUDED
